// Scripted by Ice
using System;
using Server;
using Server.Items;

namespace Server.Items
{
	public class BeefCarcassWAddon : BaseAddon
	{
		public override BaseAddonDeed Deed
		{
			get
			{
				return new BeefCarcassWAddonDeed();
			}
		}

		[ Constructable ]
		public BeefCarcassWAddon()
		{
			AddComponent( new AddonComponent( 6258 ), 0, 0, 0 );
			AddonComponent ac = null;
			ac = new AddonComponent( 6258 );
			AddComponent( ac, 0, 0, 0 );

		}

		public BeefCarcassWAddon( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( 0 ); // Version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}

	public class BeefCarcassWAddonDeed : BaseAddonDeed
	{
		public override BaseAddon Addon
		{
			get
			{
				return new BeefCarcassWAddon();
			}
		}

		[Constructable]
		public BeefCarcassWAddonDeed()
		{
			Name = "BeefCarcassW";
		}

		public BeefCarcassWAddonDeed( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( 0 ); // Version
		}

		public override void	Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}